<?php
/**
 * $Horde: jonah/content.php,v 1.41 2006/01/28 14:12:57 chuck Exp $
 *
 * Copyright 1999-2006 Chuck Hagenbuch <chuck@horde.org>
 * Copyright 2002-2006 Eric Rechlin <eric@hpcalc.org>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/jonah/LICENSE.
 */

@define('JONAH_BASE', dirname(__FILE__));
require_once JONAH_BASE . '/lib/base.php';
require_once 'Horde/Block/Layout/View.php';

// Get refresh interval.
if ($_time = $prefs->getValue('summary_refresh_time')) {
    if ($browser->hasFeature('xmlhttpreq')) {
        Horde::addScriptFile('httpclient.js', 'horde', true);
        Horde::addScriptFile('blockUpdater.js', 'horde');
    } else {
        $refresh_time = $r_time;
        $refresh_url = Horde::applicationUrl('services/portal/');
    }
}

// Load layout from preferences.
$layout = new Horde_Block_Layout_View($prefs->getValue('mynews_layout'));

$title = _("My News");
require JONAH_TEMPLATES . '/common-header.inc';
echo '<div id="menu">' . Jonah::getMenu('string') . '</div>';
$notification->notify(array('listeners' => 'status'));
echo '<div><a href="' . Horde::applicationUrl('content_edit.php') . '" style="display:block; background:#eef; border:1px solid #669; text-decoration:none; padding:2px" class="leftFloat">' . _("Add Content") . '</a></div><div class="clear">&nbsp;</div>';
echo $layout->toHtml();
require $registry->get('templates', 'horde') . '/common-footer.inc';
